Package Details: tahoe-lafs 1.13.0-2

Git Clone URL: https://aur.archlinux.org/tahoe-lafs.git (read-only)
Package Base: tahoe-lafs
Description: Secure, decentralized, and fault-tolerant filesystem.
Upstream URL: https://tahoe-lafs.org/trac/tahoe-lafs
Licenses: GPL
Conflicts: tahoe-lafs-i2p
Replaces: tahoe-lafs-i2p
Submitter: None
Maintainer: GI_Jack
Last Packager: GI_Jack
Votes: 34
Popularity: 0.000718
First Submitted: 2010-07-23 19:52
Last Updated: 2019-11-12 21:09

Latest Comments

« First ‹ Previous 1 2 3 4 5

lenzenmi commented on 2012-03-13 22:40

python2-distribute should be a dependency. Tahoe will not start without it.

dgbaley27 commented on 2012-02-22 22:03

Please replace the pyasn1 dependency with python-pyasn1 or python2-pyasn1 as appropriate.

jtang commented on 2012-01-09 10:14

as far as I know, foolscap needs updating to as twistd got upgraded to 11.1 which breaks foolscap 0.6.1

Anonymous comment on 2012-01-05 21:49

The testsuite upon installation failed for me. I downgraded the package 'twisted' to 11.0.0-1 using http://arm.konnichi.com/2011/09/15/$repo/os/$arch/ and then the installation worked. This worked both for 32bit and 64bit.
The failed tests are: test_failure, test_system, test_key_gen_service, failing with:
SendBanana.sendFailed: [Failure instance: Traceback: <type 'exceptions.AttributeError'>: 'Broker' object has no attribute 'write'
/usr/lib/python2.7/site-packages/foolscap/slicers/root.py:107:send
... more left out ...

npouillard commented on 2011-09-14 05:38

We advise people to quickly upgrade to this new version of Tahoe-LAFS 1.8.3.
The official announce will be soon visible from Tahoe-LAFS homepage.

jtang commented on 2011-01-24 21:55

after updating foolscap (rolled my own package) to 0.6 some of the tests pass, but sadly twisted is too new for tahoe-lafs for now. but luckily tahoe-lafs 1.8.2 is due out in a week or two which i hope this incompatibility will be fixed.

jtang commented on 2011-01-24 21:36

I'm not 100% sure of this, but tahoe-lafs 1.8.1 needs foolscap 0.6 or newer, i think the current dependancy in the repos is 0.5, this causes the tests to fail on my freshly installed system. i will try and test with foolscap 0.6

strephil commented on 2010-12-07 17:18

v.1.8.1 was realesed Sun Nov 28

Anonymous comment on 2010-09-24 10:11

ANNOUNCING Tahoe, the Least-Authority File System, v1.8.0

The Tahoe-LAFS team is pleased to announce the immediate
availability of version 1.8.0 of Tahoe-LAFS, an extremely
reliable distributed storage system. Get it here:

http://tahoe-lafs.org/source/tahoe/trunk/docs/quickstart.html

Tahoe-LAFS is the first distributed storage system to offer
"provider-independent security" — meaning that not even the
operators of your storage servers can read or alter your data
without your consent. Here is the one-page explanation of its
unique security and fault-tolerance properties:

http://tahoe-lafs.org/source/tahoe/trunk/docs/about.html

The previous stable release of Tahoe-LAFS was v1.7.1, which was
released July 18, 2010 [1].